[10/67] libedbus: libglib2 requires threads

Submitted by Spenser Gilliland on July 15, 2013, 7:46 p.m.

Details

Message ID 1373917670-30006-11-git-send-email-spenser@gillilanding.com
State Accepted
Headers show

Commit Message

Spenser Gilliland July 15, 2013, 7:46 p.m.
Signed-off-by: Spenser Gilliland <spenser@gillilanding.com>
---
 package/efl/libedbus/Config.in | 5 +++++
 1 file changed, 5 insertions(+)

Patch hide | download patch | download mbox

diff --git a/package/efl/libedbus/Config.in b/package/efl/libedbus/Config.in
index 64b001e..31a3b03 100644
--- a/package/efl/libedbus/Config.in
+++ b/package/efl/libedbus/Config.in
@@ -17,10 +17,15 @@  if BR2_PACKAGE_LIBEDBUS
 config BR2_PACKAGE_LIBEDBUS_BLUEZ
 	bool "bluez support"
 	depends on !BR2_avr32 # bluez_utils
+	depends on BR2_USE_WCHAR # bluez_utils -> glib2
+	depends on BR2_TOOLCHAIN_HAS_THREADS # bluez_utils -> glib2
 	select BR2_PACKAGE_BLUEZ_UTILS
 	help
 	  Bluetooth support.
 
+comment "bluez support requires a toolchain with WCHAR and threading support"
+	depends on !BR2_USE_WCHAR || !BR2_TOOLCHAIN_HAS_THREADS
+
 config BR2_PACKAGE_LIBEDBUS_CONNMAN
 	bool "connman support"
 	depends on BR2_PACKAGE_CONNMAN